Bug 983457 - Why virtual host fail to add and which process working in 10 minutes ?
Why virtual host fail to add and which process working in 10 minutes ?
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Alon Bar-Lev
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-11 05:23 EDT by Yoshinori Takahashi
Modified: 2016-02-10 14:43 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-09 07:54:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Alon Bar-Lev 2013-07-11 09:17:10 EDT
Nothing after this message.

1. Please attach logs from /tmp/*.log
2. Please see if in this duration python is running on host (child of sshd).
3. Please perform strace -p <python_pid> and see if there is any activity.

Thanks!
Comment 8 Alon Bar-Lev 2013-07-29 02:36:45 EDT
What about my requests?
Comment 25 Alon Bar-Lev 2013-08-15 05:26:11 EDT
Hi,

What we see is that host holds the session while python script has exited. This is not expected behavior form openssh sshd, and the problem is unlikely at the engine side.

We have no such report so far, so I am really curios of what the difference within this setup.

Yoshinori if you install this on lab, do you get the same behavior?

Also, can you please make sure that:

ssh root@<host> sleep 10

Actually returns?

Another strange thing is that while process begins at 13:42:34 it times out at 14:42:34, which is one hour!!! we do not have default of one hour for timeouts... So unless the SSHInactivityTimoutSeconds was set to one hour, I do not understand how this can be, unless something at engine machine is 

Just in case... to eliminate bugs in ssh processing in java, can you please:

1. download[1][2]

2. remove (move/backup):

/usr/share/ovirt-engine/engine.ear/lib/mina-core-2.0.1.jar
/usr/share/ovirt-engine/engine.ear/lib/sshd-core-0.7.0.jar

3. copy from [1] dist/mina-core-2.0.7.jar to /usr/share/ovirt-engine/engine.ear/lib

4. copy from [2] lib/sshd-core-0.8.0.jar to /usr/share/ovirt-engine/engine.ear/lib

5. restart engine and try again.

If that is not working either, I will write a test program for you to run, maybe we will be able to reproduce the engine without using any of the rhevm components.

Thanks!

[1] http://www.apache.org/dyn/closer.cgi/mina/sshd/0.8.0/dist/apache-sshd-0.8.0.tar.gz
[2] http://www.apache.org/dyn/closer.cgi/mina/mina/2.0.7/dist/apache-mina-2.0.7-bin.tar.gz
Comment 39 Andrew Cathrow 2013-09-09 07:54:05 EDT
Closing - will re-open if we get a reproducer

Note You need to log in before you can comment on or make changes to this bug.